# Enum Coverage.Amount

java.lang.Object
java.lang.Enum<Coverage.Amount>
uk.ac.starlink.ttools.cone.Coverage.Amount

All Implemented Interfaces:
  `Serializable, Comparable<Coverage.Amount>, java.lang.constant.Constable`

Enclosing interface:
  `Coverage`

public static enum Coverage.Amount extends Enum<Coverage.Amount>
Describes a type of coverage.

Since:
  16 Dec 2011
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL_SKY`
Coverage data is known; the whole sky is covered.
`NO_DATA`
No coverage data is known.
`NO_SKY`
Coverage data is known; no sky regions are covered.
`SOME_SKY`
Coverage data is known; some, but not all of the sky is covered.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`getKnownResult()`
Returns the single fixed answer to all coverage queries.
`static Coverage.Amount`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Coverage.Amount[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO_DATA

public static final Coverage.Amount NO_DATA
No coverage data is known.

### NO_SKY

public static final Coverage.Amount NO_SKY
Coverage data is known; no sky regions are covered.

### ALL_SKY

public static final Coverage.Amount ALL_SKY
Coverage data is known; the whole sky is covered.

### SOME_SKY

public static final Coverage.Amount SOME_SKY
Coverage data is known; some, but not all of the sky is covered.

## Method Details

### values

public static Coverage.Amount[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Coverage.Amount valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getKnownResult

public Boolean getKnownResult()
Returns the single fixed answer to all coverage queries. For an interesting coverage, the result is null (no fixed answer), but for other types a fixed value of True or False may be returned.

Returns:
  constant answer to footprint queries